Announcement Announcement Module
Collapse
No announcement yet.
Grails STS Integration Error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Grails STS Integration Error

    I'm trying to install Grails support for eclipse via the STS extensions tab, unfortunately, I continue to get:

    No action found for: com.springsource.sts.ide.configurator.configure.
    Anyone know how to resolve this? I was able to install Groovy support with no issues.

    Stack trace follows:
    java.lang.IllegalArgumentException: No action found for: com.springsource.sts.ide.configurator.configure.
    at org.eclipse.equinox.internal.provisional.p2.engine .MissingAction.execute(MissingAction.java:38)
    at org.eclipse.equinox.internal.provisional.p2.engine .Phase.mainPerform(Phase.java:129)
    at org.eclipse.equinox.internal.provisional.p2.engine .Phase.perform(Phase.java:72)
    at org.eclipse.equinox.internal.provisional.p2.engine .PhaseSet.perform(PhaseSet.java:44)
    at org.eclipse.equinox.internal.provisional.p2.engine .Engine.perform(Engine.java:54)
    at org.eclipse.equinox.internal.provisional.p2.ui.ope rations.ProvisioningUtil.performProvisioningPlan(P rovisioningUtil.java:389)
    at org.eclipse.equinox.internal.provisional.p2.ui.ope rations.ProfileModificationOperation.doExecute(Pro fileModificationOperation.java:61)
    at org.eclipse.equinox.internal.provisional.p2.ui.ope rations.ProvisioningOperation.execute(Provisioning Operation.java:37)
    at org.eclipse.equinox.internal.provisional.p2.ui.Pro visioningOperationRunner$1.run(ProvisioningOperati onRunner.java:94)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.j ava:55)
    Last edited by abking; Dec 5th, 2009, 07:15 PM.

  • #2
    abking,

    what version of STS are you using?

    The issue should really only come up when you install the Grails Framework from the Extension tab. To get the Grails support in STS, you only need install the Groovy and Grails items from the 'Language and Framework Support' category. You can then configure a manually downloaded and installed Grails framework with STS.

    HTH

    Christian

    Comment


    • #3
      Originally posted by Christian Dupuis View Post
      abking,

      what version of STS are you using?
      I'm using STS 2.3.0

      Originally posted by Christian Dupuis View Post

      The issue should really only come up when you install the Grails Framework from the Extension tab. To get the Grails support in STS, you only need install the Groovy and Grails items from the 'Language and Framework Support' category. You can then configure a manually downloaded and installed Grails framework with STS.
      I have been doing what you've written above; I went to the "Spring Dashboard," clicked on the "extension tab" and selected "Grails Framework" to install. At about 67% completion of installation, I get the error:

      No action found for: com.springsource.sts.ide.configurator.configure.


      I followed the above procedure for installing Groovy and it worked. Any suggestions on what to do now?

      Comment

      Working...
      X